databases/p5-SQL-Statement - The NetBSD Packages Collection

Small, abstract SQL engine

The SQL::Statement module implements a pure Perl SQL parsing and execution
engine. While it by no means implements full ANSI standard, it does support
many features including column and table aliases, built-in and user-defined
functions, implicit and explicit joins, complexly nested search conditions,
and other features.

SQL::Statement is a small embeddable Database Management System (DBMS),
this means that it provides all of the services of a simple DBMS except that
instead of a persistant storage mechanism, it has two things:
1) an in-memory storage mechanism that allows you to prepare, execute, and
   fetch from SQL statements using temporary tables and
2) a set of software sockets where any author can plug in any storage
   mechanism.

There are three main uses for SQL::Statement.
1) to access and manipulate data in CSV, XML, and other formats
2) to build a DBD for a new data source
3) to parse and examine the structure of SQL statements.

Build dependencies

devel/p5-Test-Deep pkgtools/cwrappers

Runtime dependencies

devel/p5-Clone devel/p5-Params-Util math/p5-Math-Base-Convert devel/p5-Module-Runtime lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-SQL-Statement-1.412nb5.tgz
NetBSD 8.0earmv7hfp5-SQL-Statement-1.412nb5.tgz
NetBSD 8.0earmv7hfp5-SQL-Statement-1.414.tgz
NetBSD 8.0i386p5-SQL-Statement-1.412nb5.tgz
NetBSD 8.0i386p5-SQL-Statement-1.412nb5.tgz
NetBSD 8.0i386p5-SQL-Statement-1.414.tgz
NetBSD 8.0powerpcp5-SQL-Statement-1.412nb5.tgz
NetBSD 8.0powerpcp5-SQL-Statement-1.414.tgz
NetBSD 8.0powerpcp5-SQL-Statement-1.412nb5.tgz
NetBSD 8.0powerpcp5-SQL-Statement-1.414.tgz
NetBSD 8.0x86_64p5-SQL-Statement-1.414.tgz
NetBSD 8.0x86_64p5-SQL-Statement-1.412nb5.tgz
NetBSD 8.0x86_64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0aarch64p5-SQL-Statement-1.414.tgz
NetBSD 9.0aarch64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0aarch64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0alphap5-SQL-Statement-1.414.tgz
NetBSD 9.0alphap5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0alphap5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0earmp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0earmp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0earmp5-SQL-Statement-1.414.tgz
NetBSD 9.0earmv6hfp5-SQL-Statement-1.414.tgz
NetBSD 9.0earmv6hfp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0earmv6hfp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0earmv6hfp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0earmv7hfp5-SQL-Statement-1.414.tgz
NetBSD 9.0earmv7hfp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0earmv7hfp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0earmv7hfp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0earmv7hfp5-SQL-Statement-1.414.tgz
NetBSD 9.0i386p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0i386p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0i386p5-SQL-Statement-1.414.tgz
NetBSD 9.0mips64ebp5-SQL-Statement-1.414.tgz
NetBSD 9.0mips64ebp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0mips64ebp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0mipselp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0mipselp5-SQL-Statement-1.414.tgz
NetBSD 9.0powerpcp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0powerpcp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0powerpcp5-SQL-Statement-1.414.tgz
NetBSD 9.0sh3elp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0sh3elp5-SQL-Statement-1.414.tgz
NetBSD 9.0sparc64p5-SQL-Statement-1.414.tgz
NetBSD 9.0sparc64p5-SQL-Statement-1.412nb4.tgz
NetBSD 9.0sparc64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0sparc64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0sparcp5-SQL-Statement-1.414.tgz
NetBSD 9.0sparcp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0sparcp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0vaxp5-SQL-Statement-1.414.tgz
NetBSD 9.0vaxp5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0x86_64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0x86_64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0x86_64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0x86_64p5-SQL-Statement-1.414.tgz
NetBSD 9.0x86_64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0x86_64p5-SQL-Statement-1.412nb5.tgz
NetBSD 9.0x86_64p5-SQL-Statement-1.414.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.